# Generated by Django 2.2.3 on 2019-07-27 12:45

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('items', '0003_auto_20190727_1231'),
    ]

    operations = [
        migrations.CreateModel(
            name='AddItemToUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'verbose_name': 'Item to User',
                'verbose_name_plural': 'Items',
            },
        ),
        migrations.AlterField(
            model_name='itemtype',
            name='type',
            field=models.IntegerField(choices=[(1, 'Face-Guard'), (2, 'Body-Armor'), (3, 'Leg-Armor'), (4, 'Weapon'), (5, 'Boost-Item')]),
        ),
        migrations.DeleteModel(
            name='Items',
        ),
        migrations.AddField(
            model_name='additemtouser',
            name='itemtype',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='items.ItemType'),
        ),
        migrations.AddField(
            model_name='additemtouser',
            name='owner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
    ]